# keepalived

The main goal of the keepalived project is to add a strong end robust keepalive facility to the Linux Virtual Server project.
This project is written in C with multilayer TCP/IP stack checks.
Keepalived implements a framework based on three family checks:
Layer3, Layer4 & Layer5.
This framework gives the daemon the ability of checking a LVS server pool states.
When one of the server of the LVS server pool is down, keepalived informs the linux kernel via a setsockopt call to remove this server entrie from the LVS topology.
In addition keepalived implements a VRRPv2 stack to handle director failover.
So in short keepalived is a userspace daemon for LVS cluster nodes healthchecks and LVS directors failover.

